import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorDisplayType } from "./IndicatorDisplayType";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    protected get_tn(): IndicatorDisplayType;
    constructor();
    protected get_ug(): IndicatorCalculationStrategy;
    protected get ug(): IndicatorCalculationStrategy;
    protected get_ut(): Type;
    protected get ut(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly u4: DependencyProperty;
    protected uo(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly u3: DependencyProperty;
    protected ul(): number;
    get signalPeriod(): number;
    set signalPeriod(a: number);
    static readonly u5: DependencyProperty;
    protected tw(): number;
}
